Skip to main content
GET
/
organisations
/
{organisationId}
/
connections
cURL
curl --request GET \
  --url https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/connections \
  --header 'Authorization: <api-key>'
{
  "totalCount": 123,
  "items": [
    {
      "id": "<string>",
      "orgId": "<string>",
      "name": "<string>",
      "app": {
        "id": "<string>",
        "orgId": "<string>",
        "name": "<string>",
        "public": true,
        "server": {
          "name": "<string>",
          "url": "<string>"
        },
        "schemaMetadata": {
          "type": "<string>",
          "version": "<string>",
          "url": "<string>"
        },
        "schema": {
          "id": "<string>",
          "type": "<string>",
          "version": "<string>",
          "sourceUrl": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z",
          "deletedAt": "2023-11-07T05:31:56Z"
        },
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "supportedAuthConfigs": [
          {
            "type": "<string>",
            "isValid": true,
            "data": {
              "discoveryUrl": "<string>",
              "clientId": "<string>",
              "clientSecret": "<string>",
              "scopes": {}
            }
          }
        ],
        "imageUrl": "<string>",
        "schemaId": "<string>",
        "deletedAt": "2023-11-07T05:31:56Z"
      },
      "credentialId": "<string>",
      "authConfig": {
        "type": "<string>",
        "isValid": true,
        "data": {
          "discoveryUrl": "<string>",
          "clientId": "<string>",
          "clientSecret": "<string>",
          "scopes": {}
        }
      },
      "usedByBoards": [
        {
          "id": "<string>",
          "name": "<string>"
        }
      ]
    }
  ],
  "next": "<string>",
  "prev": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.versori.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

organisationId
string
required

Query Parameters

appId
string

Optionally filter connections by an App ID

first
integer
default:20
before
string
after
string
sort
string
Pattern: ^([^:,]+:[^:,]+)(,[^:,]+:[^:,]+)*$

Response

A paginated result of Apps.

totalCount
integer
required
items
object[]
required
next
string
prev
string